__gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc > Class Template Reference

## Public Types

typedef _Ht::allocator_type | allocator_type
typedef _Ht::const_iterator | const_iterator
typedef _Alloc::const_pointer | const_pointer
typedef _Alloc::const_reference | const_reference
typedef _Ht::difference_type | difference_type
typedef _Ht::hasher | hasher
typedef _Ht::const_iterator | iterator
typedef _Ht::key_equal | key_equal
typedef _Ht::key_type | key_type
typedef _Alloc::pointer | pointer
typedef _Alloc::reference | reference
typedef _Ht::size_type | size_type
typedef _Ht::value_type | value_type

## Public Member Functions

template<class _InputIterator >
| hash_multiset (_InputIterator __f, _InputIterator __l)
template<class _InputIterator >
| hash_multiset (_InputIterator __f, _InputIterator __l, size_type __n)
template<class _InputIterator >
| hash_multiset (_InputIterator __f, _InputIterator __l, size_type __n, const hasher &__hf)
template<class _InputIterator >
| hash_multiset (_InputIterator __f, _InputIterator __l, size_type __n, const hasher &__hf, const key_equal &__eql, const allocator_type &__a=allocator_type())
| hash_multiset (size_type __n)
| hash_multiset (size_type __n, const hasher &__hf)
| hash_multiset (size_type __n, const hasher &__hf, const key_equal &__eql, const allocator_type &__a=allocator_type())
iterator | begin () const
size_type | bucket_count () const
void | clear ()
size_type | count (const key_type &__key) const
size_type | elems_in_bucket (size_type __n) const
bool | empty () const
iterator | end () const
pair< iterator, iterator > | equal_range (const key_type &__key) const
size_type | erase (const key_type &__key)
void | erase (iterator __f, iterator __l)
void | erase (iterator __it)
iterator | find (const key_type &__key) const
allocator_type | get_allocator () const
hasher | hash_funct () const
template<class _InputIterator >
void | insert (_InputIterator __f, _InputIterator __l)
iterator | insert (const value_type &__obj)
iterator | insert_noresize (const value_type &__obj)
key_equal | key_eq () const
size_type | max_bucket_count () const
size_type | max_size () const
void | resize (size_type __hint)
size_type | size () const
void | swap (hash_multiset &hs)

## Friends

template<class _Val , class _HF , class _EqK , class _Al >
bool | operator== (const hash_multiset< _Val, _HF, _EqK, _Al > &, const hash_multiset< _Val, _HF, _EqK, _Al > &)

## Detailed Description

### template<class _Value, class _HashFcn = hash<_Value>, class _EqualKey = equal_to<_Value>, class _Alloc = allocator<_Value>>
class __gnu_cxx::hash_multiset< _Value, _HashFcn, _EqualKey, _Alloc >

This is an SGI extension.

Todo:
  Needs documentation! See http://gcc.gnu.org/onlinedocs/libstdc++/manual/documentation_style.html

Definition at line 287 of file hash_set.

The documentation for this class was generated from the following file:

- hash_set